Package dev.plex.storage.punishment

# Class SQLNotes

java.lang.Object
dev.plex.storage.punishment.SQLNotes

public class SQLNotes extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final String`
`DELETE`
`private static final String`
`INSERT`
`private static final String`
`SELECT`

## Constructor Summary

Constructors
Constructor
Description
`SQLNotes()`

## Method Summary

Modifier and Type
Method
Description
`CompletableFuture<Void>`
`addNote(Note note)`
`CompletableFuture<Void>`
`deleteNote(int id, UUID uuid)`
`CompletableFuture<List<Note>>`
`getNotes(UUID uuid)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SELECT

private static final String SELECT

See Also:
  - Constant Field Values

### INSERT

private static final String INSERT

See Also:
  - Constant Field Values

### DELETE

private static final String DELETE

See Also:
  - Constant Field Values

## Constructor Details

### SQLNotes

public SQLNotes()

## Method Details

### getNotes

public CompletableFuture<List<Note>> getNotes(UUID uuid)

### deleteNote

public CompletableFuture<Void> deleteNote(int id, UUID uuid)

### addNote

public CompletableFuture<Void> addNote(Note note)